> ## Documentation Index
> Fetch the complete documentation index at: https://docs.itoflow.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get configured agent models and current model access

> Operation ID: get__pricing_model_access.



## OpenAPI

````yaml /openapi/itoflow-public.openapi.json get /pricing/model-access
openapi: 3.1.0
info:
  description: >-
    All Itoflow APIs are experimental and may change without notice. Read-only
    operations marked interactive can be tried from the documentation; the
    others are reference-only.
  title: Itoflow Developer API
  version: 1.0.0
servers:
  - description: Itoflow API
    url: https://api.itoflow.ai
security: []
tags:
  - name: Account
  - name: Billing
  - name: Brokers
  - name: Chat
  - name: Connected MCP servers
  - name: GitHub
  - name: Market data
  - name: Monitors
  - name: Notifications
  - name: Portfolios
  - name: Risk runs
  - name: Sharing and data
  - name: Strategies
paths:
  /pricing/model-access:
    get:
      tags:
        - Billing
      summary: Get configured agent models and current model access
      description: 'Operation ID: get__pricing_model_access.'
      operationId: get__pricing_model_access
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  codex_subscription_connected:
                    description: >-
                      A connected ChatGPT subscription funds single OpenAI
                      choices in Chat and Monitors. Fusion modes use plan access
                      and Itoflow keys.
                    type: boolean
                  default_mode:
                    enum:
                      - luna
                      - sol
                      - sol61
                      - astra
                      - sonnet55
                      - opus55
                      - terra61
                      - haiku55
                      - fusion_deep
                      - fusion_quick
                      - fusion_light
                    type: string
                  default_model:
                    enum:
                      - luna
                      - sol
                      - sol61
                      - astra
                      - sonnet55
                      - opus55
                      - terra61
                      - haiku55
                      - fusion_deep
                      - fusion_quick
                      - fusion_light
                    type: string
                  entitlement:
                    enum:
                      - free
                      - paid
                    type: string
                  models:
                    items:
                      properties:
                        enabled:
                          type: boolean
                        key:
                          enum:
                            - luna
                            - sol
                            - sol61
                            - astra
                            - sonnet55
                            - opus55
                            - terra61
                            - haiku55
                          type: string
                        main_agent:
                          type: boolean
                        model_id:
                          type: string
                        requires_paid:
                          type: boolean
                        short_name:
                          type: string
                      required:
                        - key
                        - model_id
                        - short_name
                        - main_agent
                        - requires_paid
                        - enabled
                      type: object
                    type: array
                  modes:
                    items:
                      properties:
                        enabled:
                          type: boolean
                        guardian_model:
                          type: string
                        key:
                          enum:
                            - luna
                            - sol
                            - sol61
                            - astra
                            - sonnet55
                            - opus55
                            - terra61
                            - haiku55
                            - fusion_deep
                            - fusion_quick
                            - fusion_light
                          type: string
                        main_model:
                          type: string
                        requires_paid:
                          type: boolean
                      required:
                        - key
                        - main_model
                        - guardian_model
                        - requires_paid
                        - enabled
                      type: object
                    type: array
                  revision:
                    type: string
                required:
                  - revision
                  - default_model
                  - default_mode
                  - modes
                  - entitlement
                  - codex_subscription_connected
                  - models
                type: object
          description: Configured model access
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Authentication required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Server error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelEntitlementUnavailable'
          description: Model entitlement temporarily unavailable
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      properties:
        available:
          description: Optional available amount or value
          type: string
        billing_action:
          $ref: '#/components/schemas/BillingAction'
        code:
          description: Machine-readable error code
          type: string
        currentVersion:
          description: Current server-side version, when relevant
          type: number
        details:
          description: Optional structured error details
        error:
          description: Error type or code
          type: string
        expectedVersion:
          description: Client-provided expected version, when relevant
          type: number
        message:
          description: Human-readable error message
          type: string
        requested:
          description: Optional requested amount or value
          type: string
        usage:
          description: Optional usage metadata for limit errors
      required:
        - error
      type: object
    ModelEntitlementUnavailable:
      additionalProperties: {}
      properties:
        error:
          type: string
        message:
          type: string
        ok:
          type: boolean
        status:
          type: string
        success:
          type: boolean
      type: object
    BillingAction:
      description: Action that resolves a billing-related rejection
      properties:
        href:
          type: string
        kind:
          enum:
            - upgrade
            - payment_method
            - spending_cap
            - billing
          type: string
        label:
          type: string
      required:
        - href
        - label
        - kind
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: Itoflow access token issued for the Itoflow API.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.